﻿Option Strict On
Imports System.Xml.Linq

Public Class PersonalInfo
    Property 氏名 As String
    Property 年齢 As String
    Property 住所s As String
    Property 勤務先 As String
End Class
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub
    Dim xmldoc As XElement

    Private Sub MainPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        xmldoc = XElement.Load("sampleData.xml")

        Dim myPersonalInfo As New List(Of PersonalInfo)

        For Each Result In From c In xmldoc.Descendants("情報") Select c
            myPersonalInfo.Add(New PersonalInfo With {.氏名 = Result.Element("氏名").Value})
        Next
        AutoCompleteBox1.ItemsSource = myPersonalInfo
    End Sub

    Private Sub AutoCompleteBox1_SelectionChanged(sender As Object, e As System.Windows.Controls.SelectionChangedEventArgs) Handles AutoCompleteBox1.SelectionChanged
        StackPanel1.Children.Clear()
        Try
            Dim selectName As String = DirectCast(AutoCompleteBox1.SelectedItem, PersonalInfo).氏名

            For Each result In From c In xmldoc.Descendants("情報") Where c.Element("氏名").Value.Equals(selectName) Select c
                Dim myTextBlock As New TextBlock
                myTextBlock.FontSize = 30
                myTextBlock.Text = "【氏　名】=" & result.Element("氏名").Value & vbCrLf &
                                   "【年　齢】=" & result.Element("年齢").Value & vbCrLf &
                                   "【住　所】=" & result.Element("住所").Value & vbCrLf &
                                   "【勤務作】=" & result.Element("勤務先").Value
                StackPanel1.Children.Add(myTextBlock)
            Next
        Catch
            Exit Sub
        End Try
    End Sub


    Private Sub MainPage_OrientationChanged(sender As Object, e As Microsoft.Phone.Controls.OrientationChangedEventArgs) Handles MyBase.OrientationChanged
        StackPanel1.Width = Me.ActualWidth
    End Sub
End Class
